/*
 * rls.java - Simple File Server Remote List
 *
 * Copyright (c) 2000 Cogito, LLC 
 *
 * Cogito grants you ("Licensee") a non-exclusive, royalty free, license to
 * use, modify and redistribute this software in source and binary form,
 * provided that i) this copyright notice and license appear on all copies
 * of the software; and ii) Licensee does not utilize the software in a
 * manner which is disparaging to Cogito.
 *
 * This software is provided "AS IS," without warranty of any kind.
 *
 * 12/2000: Initial version.
 *          M. Tim Jones <mtj@cogitollc.com>
 *
 */

import java.io.*;
import java.net.*;

public class rls {

  public static void main(String args[]) {

    String remoteArg = new String();
    Socket theSocket;
    PrintStream out;
    DataInputStream in;
    String input;

    if (args.length == 0) {
      System.out.println("\nUsage is:");
      System.out.println("\trls <server> <subdir>\n");
      System.exit(1);
    }

    remoteArg = "$ls ";
    if (args.length == 2) {
      remoteArg += args[1];
    }

    try {
      theSocket = new Socket(args[0], 15000);
      in = new DataInputStream(theSocket.getInputStream());
      out = new PrintStream(theSocket.getOutputStream());

      try {
        out.print(remoteArg);
        out.flush();
        while ((input = in.readLine()) != null) {
          System.out.println(input);
        }
      } catch (IOException e) {
        System.err.println("Error conversing with the server.");
      }

      out.close();
      in.close();
      theSocket.close();

    } catch (IOException e) {
      System.err.println("Couldn't connect to the server.");
      System.exit(1);
    }

  }

}
